{
  "name": "@eternalfest-games/epopee-spatiale",
  "version": "1.0.0",
  "homepage": "https://gitlab.com/eternalfest/games/epopee-spatiale",
  "description": "Project for the game `epopee-spatiale`",
  "repository": {
    "type": "git",
    "url": "git://gitlab.com:eternalfest/games/epopee-spatiale.git"
  },
  "scripts": {
    "build": "yarn run build:patchman && yarn run build:content && yarn run build:assets && yarn run build:engine",
    "build:content": "eternalfest build",
    "build:patchman": "patchman",
    "build:assets": "swfmill simple assets.xml ./build/assets.swf",
    "build:engine": "ts-node tools/build-game.ts",
    "doc": "patchman --doc",
    "idea": "patchman --idea",
    "prepare": "yarn run build",
    "simple": "yarn run build:patchman && yarn run build:content"
  },
  "publishConfig": {
    "access": "restricted",
    "registry": "https://npm.eternal-twin.net/"
  },
  "pre-commit": {
    "run": [
      "build"
    ]
  },
  "keywords": [
    "game"
  ],
  "license": "UNLICENSED",
  "patchman": {
    "haxe": "src/haxe",
    "haxeMain": "Main",
    "outFile": "./build/patchman.swf",
    "outDocDir": "./build/docs"
  },
  "engines": {
    "node": ">=14.0.0"
  },
  "dependencies": {
    "@eternalfest/eternaldev": "^0.3.9",
    "@patchman/better_script": "^4.1.0",
    "@patchman/bugfix": "^0.10.0",
    "@patchman/color_matrix": "^0.10.0",
    "@patchman/custom_clips": "^0.10.0",
    "@patchman/debug": "^0.10.0",
    "@patchman/game_params": "^0.10.0",
    "@patchman/keyboard": "^0.10.0",
    "@patchman/maxmods": "^0.2.16",
    "@patchman/merlin": "^0.16.0",
    "@patchman/patchman": "^0.10.6",
    "@patchman/vault": "^0.10.0",
    "swf-emitter": "^0.10.0",
    "swf-merge": "^0.10.0",
    "swf-parser": "^0.10.0",
    "swf-types": "^0.10.0",
    "ts-node": "^8.5.4",
    "typescript": "^3.7.4"
  }
}
